namespace BPA.MES.Base.Application.Services
{
    /// <summary>
    /// 名    称 ：码表数据  
    /// 创 建 人 ：yangxiao  
    /// 创建时间 ：  2023/8/9 10:00:06 
    /// 描    述 ：  
    /// </summary>
    public interface IDictDataService
    {
        /// <summary>
        /// 增加
        /// </summary>
        /// <returns></returns>
        Task<bool> Add(DictDataAddInput input);
        /// <summary>
        /// 移除
        /// </summary>
        /// <returns></returns>
        Task<bool> Del(DictDataDelInput input);
        /// <summary>
        /// 更新
        /// </summary>
        /// <returns></returns>
        Task<bool> Update(DictDataUpdateInput input);
        /// <summary>
        /// 不分页列表
        /// </summary>
        /// <returns></returns>
        Task<List<DictDataOutput>> List(DictDataQueryInput input);
        /// <summary>
        /// 分页列表
        /// </summary>
        /// <returns></returns>
        Task<SqlSugarPagedList<DictDataOutput>> PagedList(DictDataQueryPageInput input);
        /// <summary>
        /// 查询单条
        /// </summary>
        /// <param name="Id"></param>
        /// <returns></returns>
        Task<DictDataOutput> Detail(string Id);
    }
}
